Page MenuHomePhabricator

Flow: Notification icons point to different directions
Closed, ResolvedPublic

Description

It's really minor - the small 'tails' of the notification icons have different "direction". It's quite noticeable when they are displayed in the Notification panel.


Repo: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/Flow
Directory: modules/notification/icons
Correct icons: M229
Source files: ???
Size: ???

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2017, 7:30 PM
jmatazzoni added a subscriber: jmatazzoni.

there's nothing really wrong with this. But it is curious, so we wanted to make sure it is planned (or fix if not).

there's nothing really wrong with this. But it is curious, so we wanted to make sure it is planned (or fix if not).

There is an initiative in progress to update the general icon set (M229) to better align to the design guidelines. Once the process is complete it makes sense to adjust the notification-related icons to match the style, since especially the speech bubbles are derived from those.

@Pginer-WMF should I close this or move it to the triage board someplace (where?)

@Pginer-WMF, given that the new speech bubble icon hasn't seen any questions or revisions do you think we are good to update the notifications icons. This might be a good task for Google-Code-in-2017 too.

@Pginer-WMF, given that the new speech bubble icon hasn't seen any questions or revisions do you think we are good to update the notifications icons. This might be a good task for Google-Code-in-2017 too.

The speech bubble icon seems stable, and I think it would be safe to use it as a base. Having said that, it is also possible that once the new speech bubble icon becomes the default and reaches all products, we identify further adjustments to be done. I'd not consider this a blocker, just something to be aware of when creating the new icons.

Prtksxna renamed this task from [minor] Notification icons point to different directions to Flow: Notification icons point to different directions.Nov 24 2017, 5:59 AM
Prtksxna updated the task description. (Show Details)

Could someone clarify what is wanted here, so this could maybe become a Google-Code-in-2017 task? Is this just about mirroring one icon?

Could someone clarify what is wanted here, so this could maybe become a Google-Code-in-2017 task? Is this just about mirroring one icon?

The current issue reflected one of the several adjustments needed to align the icons shown in the notifications with the general set of icons. I created a more general task to capture it better (T183749). The work in that front is already in the review stage, so I don't think it is apt for Google-Code-in-2017.

Note also that only some of the speech bubble icons have RTL variants, so in RTL it will still be inconsistent after the parent bug is fixed (T183749).

Checked along with T183749: Align notification icons with the icon styleguide - the look has been improved due to new design, but @Esanders is right - several icons still need their RTL variants:

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 2 2018, 11:00 PM
JTannerWMF moved this task from Inbox to To Triage on the Growth-Team board.Sep 9 2018, 7:44 AM
kostajh moved this task from To Triage to External on the Growth-Team board.Nov 1 2018, 3:23 PM
kostajh removed Pginer-WMF as the assignee of this task.
kostajh added subscribers: Volker_E, Pginer-WMF, kostajh.

Still an issue

@Volker_E I'm not sure who to tag for creating RTL variants of some of the icons for Echo (i.e. /modules/icons/mention-success-constructive.svg), if not you, could you please point me to who I should tag/assign for creating these?

Change 489783 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Flow@master] Notification: Add and make use of RTL icons

https://gerrit.wikimedia.org/r/489783

@kostajh Stumbled upon this again, RTL icons created and added. Please have a look…
For future reference, you can tag me, UI-Standardization or Design for those requests…

Restricted Application added projects: I18n, UI-Standardization. · View Herald TranscriptFeb 11 2019, 8:49 PM
kostajh moved this task from Incoming to QA on the Growth-Team (Current Sprint) board.

For future reference, you can tag me, UI-Standardization or Design for those requests…

Got it, thanks @Volker_E !

Change 489783 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Notification: Add and make use of RTL icons

https://gerrit.wikimedia.org/r/489783

I reviewed the RTL icons and they are fine. thanks @Volker_E

Etonkovidova closed this task as Resolved.Feb 12 2019, 10:20 PM
Etonkovidova claimed this task.
Volker_E claimed this task.
Volker_E moved this task from Backlog to Done on the UI-Standardization-Kanban board.